[arch-commits] Commit in haskell-extensible-exceptions/repos (3 files)

Vesa Kaihlavirta vesa at archlinux.org
Tue Jan 19 01:40:26 EST 2010


    Date: Tuesday, January 19, 2010 @ 01:40:25
  Author: vesa
Revision: 63969

Merged revisions 61189,61768,61871,63967 via svnmerge from 
svn+ssh://vesa@gerolde.archlinux.org/srv/svn-packages/haskell-extensible-exceptions/trunk

........
  r61189 | vesa | 2009-12-13 09:15:13 +0200 (Sun, 13 Dec 2009) | 2 lines
  
  ghc-6.12 bump and others
........
  r61768 | vesa | 2009-12-23 10:16:44 +0200 (Wed, 23 Dec 2009) | 2 lines
  
  add -p --enable-split-objs --enable-shared
........
  r61871 | vesa | 2009-12-27 16:25:11 +0200 (Sun, 27 Dec 2009) | 2 lines
  
  bump
........
  r63967 | vesa | 2010-01-19 08:39:45 +0200 (Tue, 19 Jan 2010) | 2 lines
  
  rebuild
........

Modified:
  haskell-extensible-exceptions/repos/extra-x86_64/	(properties)
  haskell-extensible-exceptions/repos/extra-x86_64/PKGBUILD
  haskell-extensible-exceptions/repos/extra-x86_64/haskell-extensible-exceptions.install

---------------------------------------+
 PKGBUILD                              |   17 ++++++++---------
 haskell-extensible-exceptions.install |    3 ++-
 2 files changed, 10 insertions(+), 10 deletions(-)


Property changes on: haskell-extensible-exceptions/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /haskell-extensible-exceptions/trunk:1-48668
   + /haskell-extensible-exceptions/trunk:1-63967

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-19 06:40:17 UTC (rev 63968)
+++ extra-x86_64/PKGBUILD	2010-01-19 06:40:25 UTC (rev 63969)
@@ -2,26 +2,25 @@
 # Contributor: Arch Haskell Team <arch-haskell at haskell.org>
 # Package generated by cabal2arch 0.4.1
 pkgname=haskell-extensible-exceptions
-pkgrel=1
+pkgrel=2
 pkgver=0.1.1.0
 pkgdesc="Extensible exceptions"
 url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/extensible-exceptions"
 license=('custom:BSD3')
 arch=('i686' 'x86_64')
-makedepends=('ghc' 'haskell-cabal')
-depends=('ghc' 'haskell-cabal' sh)
+depends=('ghc=6.12.1'  sh)
 options=('strip')
 source=(http://hackage.haskell.org/packages/archive/extensible-exceptions/$pkgver/extensible-exceptions-$pkgver.tar.gz)
 install=haskell-extensible-exceptions.install
 md5sums=('7aba82acc64fa2f2dc89d8ac27e24a43')
 build() {
-    cd $startdir/src/extensible-exceptions-$pkgver
-    runhaskell Setup configure --prefix=/usr || return 1
+    cd $srcdir/extensible-exceptions-$pkgver
+    runhaskell Setup configure --prefix=/usr -p --enable-split-objs --enable-shared || return 1
     runhaskell Setup build                   || return 1
     runhaskell Setup register   --gen-script || return 1
     runhaskell Setup unregister --gen-script || return 1
-    install -D -m744 register.sh   $startdir/pkg/usr/share/haskell/$pkgname/register.sh
-    install    -m744 unregister.sh $startdir/pkg/usr/share/haskell/$pkgname/unregister.sh
-    runhaskell Setup copy --destdir=$startdir/pkg || return 1
-    install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
 }

Modified: extra-x86_64/haskell-extensible-exceptions.install
===================================================================
--- extra-x86_64/haskell-extensible-exceptions.install	2010-01-19 06:40:17 UTC (rev 63968)
+++ extra-x86_64/haskell-extensible-exceptions.install	2010-01-19 06:40:25 UTC (rev 63969)
@@ -3,7 +3,8 @@
   ${HS_DIR}/register.sh
 }
 pre_upgrade() {
-  ${HS_DIR}/unregister.sh
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
 }
 post_upgrade() {
   ${HS_DIR}/register.sh



More information about the arch-commits mailing list